Cree un plan de ahorro. Obtenga más información sobre los permisos necesarios en https://go.microsoft.com/fwlink/?linkid=2215851
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/{savingsPlanOrderAliasName}?api-version=2022-11-01
Parámetros de identificador URI
| Nombre |
En |
Requerido |
Tipo |
Description |
|
savingsPlanOrderAliasName
|
path |
True
|
string
pattern: ^[a-zA-Z0-9_\-\.]+$
|
Nombre del alias de pedido del plan de ahorro
|
|
api-version
|
query |
True
|
string
|
Versión de api que va a usar el servicio
|
Cuerpo de la solicitud
| Nombre |
Requerido |
Tipo |
Description |
|
sku
|
True
|
Sku
|
SKU del plan de ahorro
|
|
kind
|
|
string
|
Tipo de proveedor de recursos
|
|
properties.appliedScopeProperties
|
|
AppliedScopeProperties
|
Propiedades específicas del tipo de ámbito aplicado. No es necesario si no es aplicable.
|
|
properties.appliedScopeType
|
|
AppliedScopeType
|
Tipo del ámbito aplicado.
|
|
properties.billingPlan
|
|
BillingPlan
|
Representa el plan de facturación en formato ISO 8601. Solo es necesario para los planes de facturación mensuales.
|
|
properties.billingScopeId
|
|
string
|
Suscripción que se cobrará por comprar la ventaja
|
|
properties.commitment
|
|
Commitment
|
Compromiso con el beneficio.
|
|
properties.displayName
|
|
string
|
Nombre para mostrar
|
|
properties.renew
|
|
boolean
|
Si se establece en true, se adquirirá automáticamente una nueva ventaja en la fecha de expiración.
|
|
properties.term
|
|
Term
|
Represente el término de beneficio en formato ISO 8601.
|
Respuestas
| Nombre |
Tipo |
Description |
|
200 OK
|
SavingsPlanOrderAliasModel
|
Se ha creado el recurso.
|
|
201 Created
|
SavingsPlanOrderAliasModel
|
La solicitud se está procesando.
Encabezados
- Azure-AsyncOperation: string
- Retry-After: integer
|
|
Other Status Codes
|
ErrorResponse
|
Respuesta de error que describe por qué se produjo un error en la operación.
|
Seguridad
azure_auth
Flujo de OAuth2 de Azure Active Directory
Tipo:
oauth2
Flujo:
implicit
Dirección URL de autorización:
https://login.microsoftonline.com/common/oauth2/authorize
Ámbitos
| Nombre |
Description |
|
user_impersonation
|
suplantar la cuenta de usuario
|
Ejemplos
SavingsPlanOrderAliasCreate
Solicitud de ejemplo
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/spAlias123?api-version=2022-11-01
{
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"term": "P3Y",
"appliedScopeType": "Shared",
"appliedScopeProperties": null,
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"billingPlan": "P1M",
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
}
}
}
import com.azure.resourcemanager.billingbenefits.fluent.models.SavingsPlanOrderAliasModelInner;
import com.azure.resourcemanager.billingbenefits.models.AppliedScopeType;
import com.azure.resourcemanager.billingbenefits.models.BillingPlan;
import com.azure.resourcemanager.billingbenefits.models.Commitment;
import com.azure.resourcemanager.billingbenefits.models.CommitmentGrain;
import com.azure.resourcemanager.billingbenefits.models.Sku;
import com.azure.resourcemanager.billingbenefits.models.Term;
/**
* Samples for SavingsPlanOrderAlias Create.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/
* SavingsPlanOrderAliasCreate.json
*/
/**
* Sample code: SavingsPlanOrderAliasCreate.
*
* @param manager Entry point to BillingBenefitsManager.
*/
public static void
savingsPlanOrderAliasCreate(com.azure.resourcemanager.billingbenefits.BillingBenefitsManager manager) {
manager.savingsPlanOrderAlias().create("spAlias123",
new SavingsPlanOrderAliasModelInner().withSku(new Sku().withName("Compute_Savings_Plan"))
.withDisplayName("Compute_SavingsPlan_10-28-2022_16-38")
.withBillingScopeId("/subscriptions/30000000-0000-0000-0000-000000000000").withTerm(Term.P3Y)
.withBillingPlan(BillingPlan.P1M).withAppliedScopeType(AppliedScopeType.SHARED)
.withCommitment(new Commitment().withCurrencyCode("fakeTokenPlaceholder").withAmount(0.001D)
.withGrain(CommitmentGrain.HOURLY)),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.billingbenefits import BillingBenefitsRP
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-billingbenefits
# USAGE
python savings_plan_order_alias_create.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BillingBenefitsRP(
credential=DefaultAzureCredential(),
)
response = client.savings_plan_order_alias.begin_create(
savings_plan_order_alias_name="spAlias123",
body={
"properties": {
"appliedScopeProperties": None,
"appliedScopeType": "Shared",
"billingPlan": "P1M",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {"amount": 0.001, "currencyCode": "USD", "grain": "Hourly"},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"term": "P3Y",
},
"sku": {"name": "Compute_Savings_Plan"},
},
).result()
print(response)
# x-ms-original-file: specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreate.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbillingbenefits_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/billingbenefits/armbillingbenefits/v2"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/f790e624d0d080b89d962a3bd19c65bc6a6b2f5e/specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreate.json
func ExampleSavingsPlanOrderAliasClient_BeginCreate_savingsPlanOrderAliasCreate() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbillingbenefits.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewSavingsPlanOrderAliasClient().BeginCreate(ctx, "spAlias123", armbillingbenefits.SavingsPlanOrderAliasModel{
Properties: &armbillingbenefits.SavingsPlanOrderAliasProperties{
AppliedScopeType: to.Ptr(armbillingbenefits.AppliedScopeTypeShared),
BillingPlan: to.Ptr(armbillingbenefits.BillingPlanP1M),
BillingScopeID: to.Ptr("/subscriptions/30000000-0000-0000-0000-000000000000"),
Commitment: &armbillingbenefits.Commitment{
Amount: to.Ptr[float64](0.001),
CurrencyCode: to.Ptr("USD"),
Grain: to.Ptr(armbillingbenefits.CommitmentGrainHourly),
},
DisplayName: to.Ptr("Compute_SavingsPlan_10-28-2022_16-38"),
Term: to.Ptr(armbillingbenefits.TermP3Y),
},
SKU: &armbillingbenefits.SKU{
Name: to.Ptr("Compute_Savings_Plan"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.SavingsPlanOrderAliasModel = armbillingbenefits.SavingsPlanOrderAliasModel{
// Name: to.Ptr("SavingsPlan_1667000324595"),
// Type: to.Ptr("Microsoft.BillingBenefits/savingsPlanOrderAliases"),
// ID: to.Ptr("/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595"),
// Properties: &armbillingbenefits.SavingsPlanOrderAliasProperties{
// AppliedScopeType: to.Ptr(armbillingbenefits.AppliedScopeTypeShared),
// BillingPlan: to.Ptr(armbillingbenefits.BillingPlanP1M),
// BillingScopeID: to.Ptr("/subscriptions/30000000-0000-0000-0000-000000000000"),
// Commitment: &armbillingbenefits.Commitment{
// Amount: to.Ptr[float64](0.001),
// CurrencyCode: to.Ptr("USD"),
// Grain: to.Ptr(armbillingbenefits.CommitmentGrainHourly),
// },
// DisplayName: to.Ptr("Compute_SavingsPlan_10-28-2022_16-38"),
// ProvisioningState: to.Ptr(armbillingbenefits.ProvisioningStateSucceeded),
// SavingsPlanOrderID: to.Ptr("/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023"),
// Term: to.Ptr(armbillingbenefits.TermP3Y),
// },
// SKU: &armbillingbenefits.SKU{
// Name: to.Ptr("Compute_Savings_Plan"),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BillingBenefitsRP } = require("@azure/arm-billingbenefits");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Create a savings plan. Learn more about permissions needed at https://go.microsoft.com/fwlink/?linkid=2215851
*
* @summary Create a savings plan. Learn more about permissions needed at https://go.microsoft.com/fwlink/?linkid=2215851
* x-ms-original-file: specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreate.json
*/
async function savingsPlanOrderAliasCreate() {
const savingsPlanOrderAliasName = "spAlias123";
const body = {
appliedScopeProperties: {},
appliedScopeType: "Shared",
billingPlan: "P1M",
billingScopeId: "/subscriptions/30000000-0000-0000-0000-000000000000",
commitment: { amount: 0.001, currencyCode: "USD", grain: "Hourly" },
displayName: "Compute_SavingsPlan_10-28-2022_16-38",
sku: { name: "Compute_Savings_Plan" },
term: "P3Y",
};
const credential = new DefaultAzureCredential();
const client = new BillingBenefitsRP(credential);
const result = await client.savingsPlanOrderAlias.beginCreateAndWait(
savingsPlanOrderAliasName,
body
);
console.log(result);
}
savingsPlanOrderAliasCreate().catch(console.error);
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
Azure-AsyncOperation: https://management.azure.com/Microsoft.BillingBenefits/operationResults/4e2ffff7-b331-4fcb-ab11-b5fa49368188?api-version=2021-07-01-privatepreview
Retry-After: 5
{
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"kind": null,
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"billingPlan": "P1M",
"appliedScopeProperties": null,
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
},
"appliedScopeType": "Shared",
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"term": "P3Y"
}
}
{
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"kind": null,
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"billingScopeId": "/subscriptions/30000000-0000-0000-0000-000000000000",
"billingPlan": "P1M",
"appliedScopeProperties": null,
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
},
"appliedScopeType": "Shared",
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"term": "P3Y"
}
}
SavingsPlanOrderAliasCreateSingleScope
Solicitud de ejemplo
PUT https://management.azure.com/providers/Microsoft.BillingBenefits/savingsPlanOrderAliases/spAlias123?api-version=2022-11-01
{
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"appliedScopeType": "Single",
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000"
},
"term": "P3Y",
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"billingPlan": "P1M",
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
}
}
}
import com.azure.resourcemanager.billingbenefits.fluent.models.SavingsPlanOrderAliasModelInner;
import com.azure.resourcemanager.billingbenefits.models.AppliedScopeProperties;
import com.azure.resourcemanager.billingbenefits.models.AppliedScopeType;
import com.azure.resourcemanager.billingbenefits.models.BillingPlan;
import com.azure.resourcemanager.billingbenefits.models.Commitment;
import com.azure.resourcemanager.billingbenefits.models.CommitmentGrain;
import com.azure.resourcemanager.billingbenefits.models.Sku;
import com.azure.resourcemanager.billingbenefits.models.Term;
/**
* Samples for SavingsPlanOrderAlias Create.
*/
public final class Main {
/*
* x-ms-original-file:
* specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/
* SavingsPlanOrderAliasCreateSingleScope.json
*/
/**
* Sample code: SavingsPlanOrderAliasCreateSingleScope.
*
* @param manager Entry point to BillingBenefitsManager.
*/
public static void savingsPlanOrderAliasCreateSingleScope(
com.azure.resourcemanager.billingbenefits.BillingBenefitsManager manager) {
manager.savingsPlanOrderAlias().create("spAlias123", new SavingsPlanOrderAliasModelInner()
.withSku(new Sku().withName("Compute_Savings_Plan")).withDisplayName("Compute_SavingsPlan_10-28-2022_16-38")
.withBillingScopeId(
"/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000")
.withTerm(Term.P3Y).withBillingPlan(BillingPlan.P1M).withAppliedScopeType(AppliedScopeType.SINGLE)
.withAppliedScopeProperties(
new AppliedScopeProperties().withSubscriptionId("/subscriptions/30000000-0000-0000-0000-000000000000"))
.withCommitment(new Commitment().withCurrencyCode("fakeTokenPlaceholder").withAmount(0.001D)
.withGrain(CommitmentGrain.HOURLY)),
com.azure.core.util.Context.NONE);
}
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
from azure.identity import DefaultAzureCredential
from azure.mgmt.billingbenefits import BillingBenefitsRP
"""
# PREREQUISITES
pip install azure-identity
pip install azure-mgmt-billingbenefits
# USAGE
python savings_plan_order_alias_create_single_scope.py
Before run the sample, please set the values of the client ID, tenant ID and client secret
of the AAD application as environment variables: AZURE_CLIENT_ID, AZURE_TENANT_ID,
AZURE_CLIENT_SECRET. For more info about how to get the value, please see:
https://docs.microsoft.com/azure/active-directory/develop/howto-create-service-principal-portal
"""
def main():
client = BillingBenefitsRP(
credential=DefaultAzureCredential(),
)
response = client.savings_plan_order_alias.begin_create(
savings_plan_order_alias_name="spAlias123",
body={
"properties": {
"appliedScopeProperties": {"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000"},
"appliedScopeType": "Single",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"commitment": {"amount": 0.001, "currencyCode": "USD", "grain": "Hourly"},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"term": "P3Y",
},
"sku": {"name": "Compute_Savings_Plan"},
},
).result()
print(response)
# x-ms-original-file: specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreateSingleScope.json
if __name__ == "__main__":
main()
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
package armbillingbenefits_test
import (
"context"
"log"
"github.com/Azure/azure-sdk-for-go/sdk/azcore/to"
"github.com/Azure/azure-sdk-for-go/sdk/azidentity"
"github.com/Azure/azure-sdk-for-go/sdk/resourcemanager/billingbenefits/armbillingbenefits/v2"
)
// Generated from example definition: https://github.com/Azure/azure-rest-api-specs/blob/f790e624d0d080b89d962a3bd19c65bc6a6b2f5e/specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreateSingleScope.json
func ExampleSavingsPlanOrderAliasClient_BeginCreate_savingsPlanOrderAliasCreateSingleScope() {
cred, err := azidentity.NewDefaultAzureCredential(nil)
if err != nil {
log.Fatalf("failed to obtain a credential: %v", err)
}
ctx := context.Background()
clientFactory, err := armbillingbenefits.NewClientFactory(cred, nil)
if err != nil {
log.Fatalf("failed to create client: %v", err)
}
poller, err := clientFactory.NewSavingsPlanOrderAliasClient().BeginCreate(ctx, "spAlias123", armbillingbenefits.SavingsPlanOrderAliasModel{
Properties: &armbillingbenefits.SavingsPlanOrderAliasProperties{
AppliedScopeProperties: &armbillingbenefits.AppliedScopeProperties{
SubscriptionID: to.Ptr("/subscriptions/30000000-0000-0000-0000-000000000000"),
},
AppliedScopeType: to.Ptr(armbillingbenefits.AppliedScopeTypeSingle),
BillingPlan: to.Ptr(armbillingbenefits.BillingPlanP1M),
BillingScopeID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000"),
Commitment: &armbillingbenefits.Commitment{
Amount: to.Ptr[float64](0.001),
CurrencyCode: to.Ptr("USD"),
Grain: to.Ptr(armbillingbenefits.CommitmentGrainHourly),
},
DisplayName: to.Ptr("Compute_SavingsPlan_10-28-2022_16-38"),
Term: to.Ptr(armbillingbenefits.TermP3Y),
},
SKU: &armbillingbenefits.SKU{
Name: to.Ptr("Compute_Savings_Plan"),
},
}, nil)
if err != nil {
log.Fatalf("failed to finish the request: %v", err)
}
res, err := poller.PollUntilDone(ctx, nil)
if err != nil {
log.Fatalf("failed to pull the result: %v", err)
}
// You could use response here. We use blank identifier for just demo purposes.
_ = res
// If the HTTP response code is 200 as defined in example definition, your response structure would look as follows. Please pay attention that all the values in the output are fake values for just demo purposes.
// res.SavingsPlanOrderAliasModel = armbillingbenefits.SavingsPlanOrderAliasModel{
// Name: to.Ptr("SavingsPlan_1667000324595"),
// Type: to.Ptr("Microsoft.BillingBenefits/savingsPlanOrderAliases"),
// ID: to.Ptr("/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595"),
// Properties: &armbillingbenefits.SavingsPlanOrderAliasProperties{
// AppliedScopeProperties: &armbillingbenefits.AppliedScopeProperties{
// SubscriptionID: to.Ptr("/subscriptions/30000000-0000-0000-0000-000000000000"),
// },
// AppliedScopeType: to.Ptr(armbillingbenefits.AppliedScopeTypeSingle),
// BillingPlan: to.Ptr(armbillingbenefits.BillingPlanP1M),
// BillingScopeID: to.Ptr("/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000"),
// Commitment: &armbillingbenefits.Commitment{
// Amount: to.Ptr[float64](0.001),
// CurrencyCode: to.Ptr("USD"),
// Grain: to.Ptr(armbillingbenefits.CommitmentGrainHourly),
// },
// DisplayName: to.Ptr("Compute_SavingsPlan_10-28-2022_16-38"),
// ProvisioningState: to.Ptr(armbillingbenefits.ProvisioningStateSucceeded),
// SavingsPlanOrderID: to.Ptr("/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023"),
// Term: to.Ptr(armbillingbenefits.TermP3Y),
// },
// SKU: &armbillingbenefits.SKU{
// Name: to.Ptr("Compute_Savings_Plan"),
// },
// }
}
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
const { BillingBenefitsRP } = require("@azure/arm-billingbenefits");
const { DefaultAzureCredential } = require("@azure/identity");
/**
* This sample demonstrates how to Create a savings plan. Learn more about permissions needed at https://go.microsoft.com/fwlink/?linkid=2215851
*
* @summary Create a savings plan. Learn more about permissions needed at https://go.microsoft.com/fwlink/?linkid=2215851
* x-ms-original-file: specification/billingbenefits/resource-manager/Microsoft.BillingBenefits/stable/2022-11-01/examples/SavingsPlanOrderAliasCreateSingleScope.json
*/
async function savingsPlanOrderAliasCreateSingleScope() {
const savingsPlanOrderAliasName = "spAlias123";
const body = {
appliedScopeProperties: {
subscriptionId: "/subscriptions/30000000-0000-0000-0000-000000000000",
},
appliedScopeType: "Single",
billingPlan: "P1M",
billingScopeId:
"/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
commitment: { amount: 0.001, currencyCode: "USD", grain: "Hourly" },
displayName: "Compute_SavingsPlan_10-28-2022_16-38",
sku: { name: "Compute_Savings_Plan" },
term: "P3Y",
};
const credential = new DefaultAzureCredential();
const client = new BillingBenefitsRP(credential);
const result = await client.savingsPlanOrderAlias.beginCreateAndWait(
savingsPlanOrderAliasName,
body
);
console.log(result);
}
savingsPlanOrderAliasCreateSingleScope().catch(console.error);
To use the Azure SDK library in your project, see this documentation. To provide feedback on this code sample, open a GitHub issue
Respuesta de muestra
Azure-AsyncOperation: https://management.azure.com/Microsoft.BillingBenefits/operationResults/4e2ffff7-b331-4fcb-ab11-b5fa49368188?api-version=2021-07-01-privatepreview
Retry-After: 5
{
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"kind": null,
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"appliedScopeType": "Single",
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000"
},
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"term": "P3Y"
}
}
{
"id": "/providers/microsoft.billingbenefits/savingsPlanOrderAliases/SavingsPlan_1667000324595",
"name": "SavingsPlan_1667000324595",
"type": "Microsoft.BillingBenefits/savingsPlanOrderAliases",
"kind": null,
"sku": {
"name": "Compute_Savings_Plan"
},
"properties": {
"savingsPlanOrderId": "/providers/Microsoft.BillingBenefits/savingsPlanOrders/30000000-0000-0000-0000-000000000023",
"billingPlan": "P1M",
"billingScopeId": "/providers/Microsoft.Billing/billingAccounts/1234567/billingSubscriptions/30000000-0000-0000-0000-000000000000",
"appliedScopeType": "Single",
"appliedScopeProperties": {
"subscriptionId": "/subscriptions/30000000-0000-0000-0000-000000000000"
},
"commitment": {
"grain": "Hourly",
"currencyCode": "USD",
"amount": 0.001
},
"displayName": "Compute_SavingsPlan_10-28-2022_16-38",
"provisioningState": "Created",
"term": "P3Y"
}
}
Definiciones
AppliedScopeProperties
Object
Propiedades específicas del tipo de ámbito aplicado. No es necesario si no es aplicable.
| Nombre |
Tipo |
Description |
|
displayName
|
string
|
Nombre para mostrar
|
|
managementGroupId
|
string
|
Identificador completo del grupo de administración en el que se debe aplicar la ventaja.
|
|
resourceGroupId
|
string
|
Identificador completo del grupo de recursos.
|
|
subscriptionId
|
string
|
Identificador completo de la suscripción.
|
|
tenantId
|
string
|
Identificador de inquilino en el que se aplica la ventaja.
|
AppliedScopeType
Enumeración
Tipo del ámbito aplicado.
| Valor |
Description |
|
Single
|
|
|
Shared
|
|
|
ManagementGroup
|
|
BillingPlan
Enumeración
Representa el plan de facturación en formato ISO 8601. Solo es necesario para los planes de facturación mensuales.
Commitment
Object
Compromiso con el beneficio.
| Nombre |
Tipo |
Description |
|
amount
|
number
(double)
|
|
|
currencyCode
|
string
|
El código de moneda iso 4217 de 3 letras para la moneda utilizada por este registro de compra.
|
|
grain
|
CommitmentGrain
|
Grano de compromiso.
|
CommitmentGrain
Enumeración
Grano de compromiso.
createdByType
Enumeración
Tipo de identidad que creó el recurso.
| Valor |
Description |
|
User
|
|
|
Application
|
|
|
ManagedIdentity
|
|
|
Key
|
|
ErrorAdditionalInfo
Object
Información adicional sobre el error de administración de recursos.
| Nombre |
Tipo |
Description |
|
info
|
object
|
Información adicional.
|
|
type
|
string
|
Tipo de información adicional.
|
ErrorDetail
Object
Detalle del error.
| Nombre |
Tipo |
Description |
|
additionalInfo
|
ErrorAdditionalInfo[]
|
Información adicional del error.
|
|
code
|
string
|
Código de error.
|
|
details
|
ErrorDetail[]
|
Detalles del error.
|
|
message
|
string
|
Mensaje de error.
|
|
target
|
string
|
Destino del error.
|
ErrorResponse
Object
Respuesta de error
| Nombre |
Tipo |
Description |
|
error
|
ErrorDetail
|
Objeto de error.
|
ProvisioningState
Enumeración
Estado de aprovisionamiento
| Valor |
Description |
|
Creating
|
|
|
PendingBilling
|
|
|
ConfirmedBilling
|
|
|
Created
|
|
|
Succeeded
|
|
|
Cancelled
|
|
|
Expired
|
|
|
Failed
|
|
SavingsPlanOrderAliasModel
Object
Alias de pedido del plan de ahorro
| Nombre |
Tipo |
Valor predeterminado |
Description |
|
id
|
string
|
|
Identificador de recurso completo para el recurso. Por ejemplo: /subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/{resourceProviderNamespace}/{resourceType}/{resourceName}
|
|
kind
|
string
|
|
Tipo de proveedor de recursos
|
|
name
|
string
|
|
Nombre del recurso
|
|
properties.appliedScopeProperties
|
AppliedScopeProperties
|
|
Propiedades específicas del tipo de ámbito aplicado. No es necesario si no es aplicable.
|
|
properties.appliedScopeType
|
AppliedScopeType
|
|
Tipo del ámbito aplicado.
|
|
properties.billingPlan
|
BillingPlan
|
|
Representa el plan de facturación en formato ISO 8601. Solo es necesario para los planes de facturación mensuales.
|
|
properties.billingScopeId
|
string
|
|
Suscripción que se cobrará por comprar la ventaja
|
|
properties.commitment
|
Commitment
|
|
Compromiso con el beneficio.
|
|
properties.displayName
|
string
|
|
Nombre para mostrar
|
|
properties.provisioningState
|
ProvisioningState
|
|
Estado de aprovisionamiento
|
|
properties.renew
|
boolean
|
False
|
Si se establece en true, se adquirirá automáticamente una nueva ventaja en la fecha de expiración.
|
|
properties.savingsPlanOrderId
|
string
|
|
Identificador del plan de ahorro creado
|
|
properties.term
|
Term
|
|
Represente el término de beneficio en formato ISO 8601.
|
|
sku
|
Sku
|
|
SKU del plan de ahorro
|
|
systemData
|
systemData
|
|
Metadatos de Azure Resource Manager que contienen información createdBy y modifiedBy.
|
|
type
|
string
|
|
Tipo del recurso. Por ejemplo, "Microsoft.Compute/virtualMachines" o "Microsoft.Storage/storageAccounts"
|
Sku
Object
SKU que se va a aplicar para este recurso
| Nombre |
Tipo |
Description |
|
name
|
string
|
Nombre de la SKU que se va a aplicar
|
systemData
Object
Metadatos relativos a la creación y última modificación del recurso.
| Nombre |
Tipo |
Description |
|
createdAt
|
string
(date-time)
|
Marca de tiempo de creación de recursos (UTC).
|
|
createdBy
|
string
|
Identidad que creó el recurso.
|
|
createdByType
|
createdByType
|
Tipo de identidad que creó el recurso.
|
|
lastModifiedAt
|
string
(date-time)
|
Marca de tiempo de la última modificación del recurso (UTC)
|
|
lastModifiedBy
|
string
|
Identidad que modificó por última vez el recurso.
|
|
lastModifiedByType
|
createdByType
|
Tipo de identidad que modificó por última vez el recurso.
|
Term
Enumeración
Represente el término de beneficio en formato ISO 8601.
| Valor |
Description |
|
P1Y
|
|
|
P3Y
|
|
|
P5Y
|
|